Name:           eventd-plugin-journald
Version:        0.13.1
Release:        2%{?dist}
Summary:        journald plugin for eventd

License:        LGPLv3+
URL:            https://github.com/mathstuf/%{name}
Source0:        https://github.com/mathstuf/%{name}/archive/v%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  docbook-style-xsl
BuildRequires:  gcc
BuildRequires:  libxslt
BuildRequires:  pkgconfig(libeventd)
BuildRequires:  pkgconfig(libeventd-plugin)
BuildRequires:  pkgconfig(libsystemd)
Requires:       eventd

%description
Plugin for collecting events based on entries in the journal.


%prep
%setup -q -n %{name}-%{version}


%build
%cmake \
    -DJOURNALD_XSLT_VERIFY:BOOL=OFF \
    -DEVENTD_PLUGINS_DIR:STRING=%{_lib}/eventd/plugins
%cmake_build


%install
%cmake_install


%files
%doc README.md
%license COPYING
%{_libdir}/eventd/plugins/journald.so
%{_mandir}/man5/eventd-journald.conf.5*


%changelog
* Fri Dec 20 2024 Ben Boeckel <fedora@me.benboeckel.net> - 0.13.1-2
- Update for aarch64 repos

* Thu Aug 01 2024 Ben Boeckel <fedora@me.benboeckel.net> - 0.13.1-1
- Update to 0.13.1

* Thu Jun 20 2024 Ben Boeckel <fedora@me.benboeckel.net> - 0.13.0-4
- Update for Fedora 41

* Wed Aug 16 2023 Ben Boeckel <fedora@me.benboeckel.net> - 0.13.0-3
- rebuild for Fedora 37+

* Wed Jan 06 2021 Ben Boeckel <fedora@me.benboeckel.net> - 0.13.0-2
- rebuild for Fedora 33
- use new CMake RPM macros

* Mon Oct 15 2018 Ben Boeckel <mathstuf@gmail.com> - 0.13.0-1
- update to 0.13.0

* Mon Apr 04 2016 Ben Boeckel <mathstuf@gmail.com> - 0.11.0-1
- update to 0.11.0

* Mon Oct 26 2015 Ben Boeckel <mathstuf@gmail.com> - 0.9.0-1
- update to 0.9.0

* Sat Oct 24 2015 Ben Boeckel <mathstuf@gmail.com> - 0.8.0-1
- update to 0.8.0

* Sat Sep 26 2015 Ben Boeckel <mathstuf@gmail.com> - 0.7.0-1
- update to 0.7.0

* Sat Sep 26 2015 Ben Boeckel <mathstuf@gmail.com> - 0.6.0-1
- update to 0.6.0

* Wed Sep 09 2015 Ben Boeckel <mathstuf@gmail.com> - 0.5.0-1
- update to 0.5.0

* Wed Sep 09 2015 Ben Boeckel <mathstuf@gmail.com> - 0.4.0-1
- update to 0.4.0

* Wed Sep 09 2015 Ben Boeckel <mathstuf@gmail.com> - 0.3.0-1
- update to 0.3.0

* Sat Aug 22 2015 Ben Boeckel <mathstuf@gmail.com> - 0.1.0-1
- initial package
